/*
    $Id: eon.h,v 1.3 2003/01/12 14:56:59 cramer Exp $

    Defines the prototypes for readconfig and the accoudring structure

    Copyright (C) 2001 Matthias Cramer, cramer@freestone.net
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  
*/

#ifndef DT_EON_H
#define DT_EON_H

#define BUFSIZE (2305)
  
  struct s_eonglobal {
    unsigned int n_dives;
    int divetime;
    float maxdepth;
    int offset;
    int endpoint;
    int interval;
    int altitude;
    int altmode;
    int year;
    char owner[21];
    int serial;
  };
 
  struct s_eondive {
    unsigned int divenum;
    unsigned char surfmin;
    unsigned char surfhour;
    unsigned char repetitive;
    unsigned char mystery;
    unsigned char sampleintervall;
    unsigned char altitude;
    unsigned char altmode;
    int alt;
    unsigned char startpresure;
    int  year;
    unsigned char month;
    unsigned char day;
    unsigned char hour;
    unsigned char min;
    int divetime;
    unsigned char temp;
    unsigned char endpresure;
    char diveprofile[630];
    int profilesamples;
  };

#endif
